/**********************************************************************
* @file		A33M11x_it.h
* @brief	Contains all macro definitions and function prototypes
* 			support for PCU firmware library
* @version	1.0
* @date		
* @author	ABOV PTS team
*
* Copyright(C) 2020, ABOV Semiconductor
* All rights reserved.
*
**********************************************************************/

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __A33M11x_IT_H
#define __A33M11x_IT_H

/* Includes ------------------------------------------------------------------*/


#ifdef __cplusplus
extern "C" {
#endif
	
/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */

void NMI_Handler(void);
void HardFault_Handler(void);
void MemManage_Handler(void);
void BusFault_Handler(void);
void UsageFault_Handler(void);
void SVC_Handler(void);
void DebugMon_Handler(void);
void PendSV_Handler(void);
void SysTick_Handler(void);

	
#ifdef __cplusplus
}
#endif

#endif /* __A33M11x_IT_H */

