/**********************************************************************
* $Id$		ac33mx064_libcfg.h
*//**
* @file		ac33mx064_libcfg.h
* @brief	Library configuration file
* @version	1.0
* @date		
* @author	ABOV M Team
*
* Copyright(C) 2015, ABOV Semiconductor
* All rights reserved.
*
**********************************************************************/

#ifndef _AC33MX064_LIBCFG_H_
#define _AC33MX064_LIBCFG_H_

#include "aa_types.h"

/******************* PERIPHERAL FW LIBRARY CONFIGURATION DEFINITIONS ***********************/
/* Comment the line below to disable the specific peripheral inclusion */

/* SYSTICK --------------------------- */
//#define _SYSTICK

/* GPIO ------------------------------- */
#define _GPIO

/* DMAC ------------------------------- */
//#define _DMAC

/* WDT ------------------------------- */
//#define _WDT

/* TIMER ------------------------------- */
#define _TIMER

/* UART ------------------------------- */
#define _UART
#define _UART0
//#define _UART1

/* SPI ------------------------------- */
//#define _SPI

/* I2C ------------------------------- */
//#define _I2C

/* MPWM ------------------------------- */
//#define _MPWM

/* ADC ------------------------------- */
//#define _ADC

#endif /* _AC33MX064_LIBCFG_H_ */
