/**********************************************************************//**
* @file		AC33Mx064_hal_slib.h
* @brief	Contains all macro definitions and function prototypes
* 			support for Uart firmware library on A33M11x
* @version	1.00
* @date		
* @author	ABOV PTS team
*
* Copyright(C) 2020, ABOV Semiconductor
* All rights reserved.
*
************************************************************************
* ABOV Disclaimer
*
*IMPORTANT NOTICE ? PLEASE READ CAREFULLY
*ABOV Semiconductor ("ABOV") reserves the right to make changes, corrections, enhancements, 
*modifications, and improvements to ABOV products and/or to this document at any time without notice. 
*ABOV does not give warranties as to the accuracy or completeness of the information included herein.
*Purchasers should obtain the latest relevant information of ABOV products before placing orders. 
*Purchasers are entirely responsible for the choice, selection, and use of ABOV products and 
*ABOV assumes no liability for application assistance or the design of purchaser products. No license, 
*express or implied, to any intellectual property rights is granted by ABOV herein. 
*ABOV disclaims all express and implied warranties and shall not be responsible or
*liable for any injuries or damages related to use of ABOV products in such unauthorized applications. 
*ABOV and the ABOV logo are trademarks of ABOV.
*All other product or service names are the property of their respective owners. 
*Information in this document supersedes and replaces the information previously
*supplied in any former versions of this document.
*2020 ABOV Semiconductor  All rights reserved
*
**********************************************************************/
#ifndef _SLIB_H_
#define	_SLIB_H_

#define	TERMINATE_CHAR	'\r'


void	init_slib(void);
int		getstring(void);
char	*scani(char *s, unsigned int *result);
char	*scans(char *s,char *result);

void	htod(int hvalue,int n);
void	ftod(double fvalue,int n,int e);

extern	char	InData[];
//extern	char	OutData[];
extern	int	InFlag;
//extern	int	OutFlag;
extern	int	InCount,OutCount;

#endif
